Get an article category
curl --request GET \
--url https://api.awardee.com/v1/article-categories/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/article-categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/article-categories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "article_category",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"icon": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Endpoints
Get an article category
GET
/
article-categories
/
{id}
Get an article category
curl --request GET \
--url https://api.awardee.com/v1/article-categories/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/article-categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/article-categories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "article_category",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"icon": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Authorizations
Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.
Path Parameters
Response
Category
Allowed value:
"article_category"Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
